EUCA-CREATE-NETWORK-ACL-ENTRY(1)

NAME
euca-create-network-acl-entry - Create a new entry in a VPC network ACL

SYNOPSIS
euca-create-network-acl-entry -n INT (--allow | --deny) -r CIDR

[-P PROTOCOL] [--egress] [-p RANGE]
    [-t TYPE:CODE] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] NACL

DESCRIPTION
Create a new entry in a VPC network ACL

  positional arguments:

NACL
    ID of the network ACL to add the entry to (required)

  optional arguments:

-n INT, --rule-number INT
    rule number for the new entry (required)

--allow
    make the new entry allow the traffic it matches

--deny
    make the new entry block the traffic it matches

-r CIDR, --cidr CIDR
    CIDR address range the entry should affect (required)

-P PROTOCOL, --protocol PROTOCOL
    protocol the entry should apply to (default: all)

--egress
    make the entry affect outgoing (egress) network traffic (default: affect incoming (ingress) traffic)

-p RANGE, --port-range RANGE
    range of ports (specified as "from-to") or a single port number (required for tcp and udp)

-t TYPE:CODE, --icmp-type-code TYPE:CODE
    ICMP type and code (specified as "type:code") (required for icmp)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit